Holger's Java API

## com.antelmann.crm
Interface Contact

All Superinterfaces:
  Addressable, DBEntry, DetailedString, Enabled, Imageable, LifeCycleObject, Serializable

All Known Subinterfaces:
  Person

All Known Implementing Classes:
  ContactImpl, GPerson, PersonImpl

    public interface Contact

extends DBEntry, Addressable, DetailedString, LifeCycleObject, Imageable, Enabled

represents a contact that is also the base to have several different roles

Author:
  Holger Antelmann
See Also:
  `Role`, `Person`

Field Summary

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Fields inherited from interface com.antelmann.util.Enabled
`FILTER`

Method Summary
`void` `add(AddressInfo ai, int index)` adds an address at the given index (optional operation)
`String` `getContactName()` provides an internally used name suitable for display in list views
`String` `getContactNotes()` provides some notes on this contact
`List<? extends AddressInfo>` `getMoreAddresses()` allows to retrieve additional (editable) addresses for a given contact.
`AddressInfo` `removeAddress(int index)` removes (and returns) an address at the given index (optional operation)

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Methods inherited from interface com.antelmann.crm.Addressable
`getAddress`

Methods inherited from interface com.antelmann.util.DetailedString
`toDetailedString`

Methods inherited from interface com.antelmann.util.LifeCycleObject
`getBeginTime, getEndTime`

Methods inherited from interface com.antelmann.image.Imageable
`getDisplayIcon, getDisplayImage`

Methods inherited from interface com.antelmann.util.Enabled
`isEnabled, setEnabled`

Method Detail

### getContactName

    String getContactName()

  provides an internally used name suitable for display in list views

### getContactNotes

    String getContactNotes()

  provides some notes on this contact

### getMoreAddresses

    List<? extends AddressInfo> getMoreAddresses()

  allows to retrieve additional (editable) addresses for a given contact.

  Returns:
    possibly an empty list, but not null; while the list elements are editable, the list itself is immutable

### add

    void add(AddressInfo ai,
             int index)
             throws IndexOutOfBoundsException,
                    UnsupportedOperationException

  adds an address at the given index (optional operation)

  Throws:
    `IndexOutOfBoundsException`
    `UnsupportedOperationException`

### removeAddress

    AddressInfo removeAddress(int index)
                              throws IndexOutOfBoundsException,
                                     UnsupportedOperationException

  removes (and returns) an address at the given index (optional operation)

  Throws:
    `IndexOutOfBoundsException`
    `UnsupportedOperationException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads